> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Void a credit memo

> Voids a credit memo by setting its amount to zero while keeping a record of it in QuickBooks. The void will fail if the credit memo is currently in use or has any linked transactions that are in use.



## OpenAPI

````yaml POST /quickbooks-desktop/credit-memos/{id}/void
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/credit-memos/{id}/void:
    post:
      summary: Void a credit memo
      description: >-
        Voids a credit memo by setting its amount to zero while keeping a record
        of it in QuickBooks. The void will fail if the credit memo is currently
        in use or has any linked transactions that are in use.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
          description: The ID of the End-User to receive this request.
        - in: path
          name: id
          schema:
            type: string
            maxLength: 36
            description: >-
              The QuickBooks-assigned unique identifier of the credit memo to
              void.
            example: 123ABC-1234567890
          required: true
          description: >-
            The QuickBooks-assigned unique identifier of the credit memo to
            void.
      responses:
        '200':
          description: >-
            Returns a confirmation of the void with the ID of the voided credit
            memo.
          headers:
            Conductor-Request-Id:
              required: true
              description: The unique identifier for this API request.
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      The QuickBooks-assigned unique identifier of the voided
                      credit memo.
                    example: 123ABC-1234567890
                  objectType:
                    description: >-
                      The type of object. This value is always
                      `"qbd_credit_memo"`.
                    example: qbd_credit_memo
                    type: string
                    const: qbd_credit_memo
                  createdAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: >-
                      The date and time when this credit memo was created, in
                      ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which
                      QuickBooks Desktop interprets in the local timezone of the
                      end-user's computer.
                    example: '2025-01-01T12:34:56.000Z'
                  updatedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: >-
                      The date and time when this credit memo was last updated,
                      in ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which
                      QuickBooks Desktop interprets in the local timezone of the
                      end-user's computer.
                    example: '2025-02-01T12:34:56.000Z'
                  refNumber:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: >-
                      The case-sensitive user-defined reference number of the
                      voided credit memo.
                    example: CM-1234
                  voided:
                    type: boolean
                    description: Indicates whether the credit memo was voided.
                    example: true
                required:
                  - id
                  - objectType
                  - createdAt
                  - updatedAt
                  - refNumber
                  - voided
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const response = await
            conductor.qbd.creditMemos.void('123ABC-1234567890', {
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(response.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            response = conductor.qbd.credit_memos.void(
                id="123ABC-1234567890",
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(response.id)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````